Overview | Package | Class | Tree | Deprecated | Index | Help
| bea Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## theory.smart.ebusiness.invoicing
Class InvoiceImpl

    java.lang.Object
      |
      +--theory.smart.foundation.EntityImpl
            |
            +--theory.smart.ebusiness.invoicing.InvoiceImpl

public class InvoiceImpl
extends EntityImpl

An Invoice is the primary mechanism for billing a customer for items purchased. It associates a PackingList with a payment method. Inventory Records are managed by the `InventoryManager` and referenced by the `ItemInventory`

     Primary Key = theory.smart.ebusiness.invoicing.InvoicePk

See Also:
  `Invoice`, `InvoiceHome`, `InvoiceValue`, Serialized Form

Field Summary
`java.lang.String` | `authorizationCode` authorizationCode [Invoice] <*>------> [`String`]
`java.sql.Date` | `creationDate` creationDate [Invoice] <*>------> [`java.sql.Date`]
`java.lang.String` | `orderKey` orderKey [Invoice] <*>------> [`String`] (Primary Key)
`SmartHandle` | `packingList` packingList [Invoice] <>------> [`theory.smart.ebusiness.shipping.PackingList`]
`CreditCard` | `paymentMethod` paymentMethod [Invoice] <*>------> [`theory.smart.axiom.contact.CreditCard`]
`static java.lang.String` | `PROP_TAX_CALCULATOR` Set the TaxCalculator environment property and the invoice will perform sales tax calculations.
`Price` | `shippingCost` shippingCost [Invoice] <*>------> [`theory.smart.axiom.units.Price`]

Fields inherited from class theory.smart.foundation.EntityImpl
`ctx, isDirty, isLoaded`

Constructor Summary
`InvoiceImpl()`

Method Summary
`java.lang.String` | `commit()`
`void` | `ejbActivate()` ejbActivate method.
`InvoicePk` | `ejbCreate(InvoicePk invoicePk)`
`protected void` | `ejbCreateInitVars(InvoicePk invoicePk)`
`java.util.Enumeration` | `ejbFindAll()`
`InvoicePk` | `ejbFindByPrimaryKey(InvoicePk pk)`
`void` | `ejbLoad()` ejbLoad method.
`void` | `ejbPassivate()` ejbPassivate method.
`void` | `ejbPostCreate(InvoicePk invoicePk)`
`void` | `ejbRemove()` ejbRemove method.
`void` | `ejbStore()` ejbStore method.
`java.lang.String` | `getAuthorizationCode()` Get the value of authorizationCode
`java.sql.Date` | `getCreationDate()` Get the value of creationDate
`Customer` | `getCustomer()`
`InvoiceValue` | `getInvoiceByValue()` Get all of Invoice's attributes.
`java.lang.String` | `getOrderKey()`
`PackingList` | `getPackingList()` Get the remote object reference of packingList
`CreditCard` | `getPaymentMethod()` Get the value of paymentMethod
`Price` | `getShippingCost()` Get the value of shippingCost
`java.lang.String` | `getStatus()` Retrieve the status of the order through the PackingList.
`Price` | `getSubTotal()` Calculate a subtotal that does not include shipping costs.
`Price` | `getTaxAmount()` Calculate the taxes on an order.
`protected theory.smart.ebusiness.tax.TaxCalculator` | `getTaxCalculator()`
`Price` | `getTotal()` Get the final total for the order including all costs.
`void` | `setAuthorizationCode(java.lang.String authorizationCode)` Set the value of authorizationCode
`void` | `setCreationDate(java.sql.Date creationDate)` Set the value of creationDate
`void` | `setEntityContext(EntityContext ctx)` setEntityContext method.
`void` | `setInvoiceByValue(InvoiceValue value)` Set all of Invoice's attributes to the passed in value.
`void` | `setPackingList(PackingList packingList)` Set the remote object reference of packingList
`void` | `setPaymentMethod(CreditCard paymentMethod)` Set the value of paymentMethod
`void` | `setShippingCost(Price shippingCost)` Set the value of shippingCost
`void` | `unsetEntityContext()` unsetEntityContext method.

Methods inherited from class theory.smart.foundation.EntityImpl
`ejbCreate, ejbCreateInitVars, ejbPostCreate, getEntityContext, isModified`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PROP_TAX_CALCULATOR

    public static final java.lang.String PROP_TAX_CALCULATOR

  Set the TaxCalculator environment property and the invoice will perform sales tax calculations.

### orderKey

    public java.lang.String orderKey

                        orderKey
       [Invoice] <*>------> [String] (Primary Key)

### authorizationCode

    public java.lang.String authorizationCode

                        authorizationCode
       [Invoice] <*>------> [String]

### creationDate

    public java.sql.Date creationDate

                        creationDate
       [Invoice] <*>------> [java.sql.Date]

### paymentMethod

    public CreditCard paymentMethod

                        paymentMethod
       [Invoice] <*>------> [theory.smart.axiom.contact.CreditCard]

### packingList

    public SmartHandle packingList

                        packingList
       [Invoice] <>------> [theory.smart.ebusiness.shipping.PackingList]

### shippingCost

    public Price shippingCost

                        shippingCost
       [Invoice] <*>------> [theory.smart.axiom.units.Price]

Constructor Detail

### InvoiceImpl

    public InvoiceImpl()
                throws CreateException

Method Detail

### getInvoiceByValue

    public InvoiceValue getInvoiceByValue()
                                   throws java.rmi.RemoteException

  Get all of Invoice's attributes.
  Returns:
    InvoiceValue the Invoice value object

### setInvoiceByValue

    public void setInvoiceByValue(InvoiceValue value)
                           throws java.rmi.RemoteException

  Set all of Invoice's attributes to the passed in value. Note: Primary key attributes are not set.
  Parameters:
    `InvoiceValue` - the Invoice value object

### ejbCreate

    public InvoicePk ejbCreate(InvoicePk invoicePk)
                        throws CreateException,
                               java.rmi.RemoteException

### ejbCreateInitVars

    protected void ejbCreateInitVars(InvoicePk invoicePk)
                              throws CreateException,
                                     java.rmi.RemoteException

### ejbPostCreate

    public void ejbPostCreate(InvoicePk invoicePk)
                       throws CreateException,
                              java.rmi.RemoteException

### ejbLoad

    public void ejbLoad()
                 throws java.rmi.RemoteException

  Description copied from class: EntityImpl
  ejbLoad method.
  Overrides:
    ejbLoad in class EntityImpl

### ejbStore

    public void ejbStore()
                  throws java.rmi.RemoteException

  Description copied from class: EntityImpl
  ejbStore method.
  Overrides:
    ejbStore in class EntityImpl

### ejbRemove

    public void ejbRemove()
                   throws java.rmi.RemoteException,
                          RemoveException

  Description copied from class: EntityImpl
  ejbRemove method.
  Overrides:
    ejbRemove in class EntityImpl

### ejbActivate

    public void ejbActivate()
                     throws java.rmi.RemoteException

  Description copied from class: EntityImpl
  ejbActivate method.
  Overrides:
    ejbActivate in class EntityImpl

### ejbPassivate

    public void ejbPassivate()
                      throws java.rmi.RemoteException

  Description copied from class: EntityImpl
  ejbPassivate method.
  Overrides:
    ejbPassivate in class EntityImpl

### setEntityContext

    public void setEntityContext(EntityContext ctx)
                          throws java.rmi.RemoteException

  Description copied from class: EntityImpl
  setEntityContext method.
  Overrides:
    setEntityContext in class EntityImpl

### unsetEntityContext

    public void unsetEntityContext()
                            throws java.rmi.RemoteException

  Description copied from class: EntityImpl
  unsetEntityContext method.
  Overrides:
    unsetEntityContext in class EntityImpl

### ejbFindByPrimaryKey

    public InvoicePk ejbFindByPrimaryKey(InvoicePk pk)
                                  throws FinderException,
                                         java.rmi.RemoteException

### ejbFindAll

    public java.util.Enumeration ejbFindAll()
                                     throws FinderException,
                                            java.rmi.RemoteException

### getAuthorizationCode

    public java.lang.String getAuthorizationCode()
                                          throws java.rmi.RemoteException

  Get the value of authorizationCode
  Returns:
    authorizationCode.

### setAuthorizationCode

    public void setAuthorizationCode(java.lang.String authorizationCode)
                              throws java.rmi.RemoteException

  Set the value of authorizationCode
  Parameters:
    `authorizationCode` - authorizationCode to be added

### getOrderKey

    public java.lang.String getOrderKey()
                                 throws java.rmi.RemoteException

### getCreationDate

    public java.sql.Date getCreationDate()
                                  throws java.rmi.RemoteException

  Get the value of creationDate
  Returns:
    creationDate.

### setCreationDate

    public void setCreationDate(java.sql.Date creationDate)
                         throws java.rmi.RemoteException

  Set the value of creationDate
  Parameters:
    `creationDate` - creationDate to be added

### getPaymentMethod

    public CreditCard getPaymentMethod()
                                throws java.rmi.RemoteException

  Get the value of paymentMethod
  Returns:
    paymentMethod.

### setPaymentMethod

    public void setPaymentMethod(CreditCard paymentMethod)
                          throws java.rmi.RemoteException

  Set the value of paymentMethod
  Parameters:
    `paymentMethod` - paymentMethod to be added

### getPackingList

    public PackingList getPackingList()
                               throws java.rmi.RemoteException

  Get the remote object reference of packingList
  Returns:
    packingList.

### setPackingList

    public void setPackingList(PackingList packingList)
                        throws java.rmi.RemoteException

  Set the remote object reference of packingList
  Parameters:
    `packingLists` - packingList to be added

### getShippingCost

    public Price getShippingCost()
                          throws java.rmi.RemoteException

  Get the value of shippingCost
  Returns:
    shippingCost.

### setShippingCost

    public void setShippingCost(Price shippingCost)
                         throws java.rmi.RemoteException

  Set the value of shippingCost
  Parameters:
    `shippingCost` - shippingCost to be added

### commit

    public java.lang.String commit()
                            throws java.rmi.RemoteException,
                                   IllegalWorkflowTransitionException

### getCustomer

    public Customer getCustomer()
                         throws java.rmi.RemoteException

### getStatus

    public java.lang.String getStatus()
                               throws java.rmi.RemoteException

  Retrieve the status of the order through the PackingList.

### getTaxAmount

    public Price getTaxAmount()
                       throws java.rmi.RemoteException

  Calculate the taxes on an order.

### getSubTotal

    public Price getSubTotal()
                      throws java.rmi.RemoteException

  Calculate a subtotal that does not include shipping costs.

### getTotal

    public Price getTotal()
                   throws java.rmi.RemoteException

  Get the final total for the order including all costs.

### getTaxCalculator

    protected theory.smart.ebusiness.tax.TaxCalculator getTaxCalculator()
                                                                 throws java.rmi.RemoteException

Overview | Package | Class | Tree | Deprecated | Index | Help
| bea Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© Copyright 2000 bea Systems, Inc. All rights reserved.